> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP



## OpenAPI

````yaml POST /smart-accounts/verify-otp
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/verify-otp:
    post:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyOtpRequest'
        required: true
      responses:
        '200':
          description: Successfully verified OTP
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyOtpResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    VerifyOtpRequest:
      type: object
      required:
        - mpc_primary_id
        - otp_id
        - otp_code
        - auth_public_key
        - expiration
      properties:
        auth_public_key:
          type: string
        expiration:
          type: integer
          format: int64
          minimum: 0
        mpc_primary_id:
          type: string
        otp_code:
          type: string
        otp_id:
          type: string
    VerifyOtpResponse:
      type: object
      required:
        - credential_bundle
      properties:
        account_info:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AccountInfo'
        credential_bundle:
          type: string
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    AccountInfo:
      type: object
      required:
        - mpc_primary_id
      properties:
        grid_user_id:
          type:
            - string
            - 'null'
        mpc_primary_id:
          type: string
        smart_account_address:
          type:
            - string
            - 'null'
        smart_account_signer_public_key:
          type:
            - string
            - 'null'
        wallet_id:
          type:
            - string
            - 'null'
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````